Trouble generating script for previous version of SQL Server

Packages and compresses schema and contents of SQL Server databases

Moderators: JonathanWatts, Chris Auckland, David Atkinson, david connell, Anu Deshpande, Michelle Taylor, james.billings

Trouble generating script for previous version of SQL Server

Postby Chillier » Fri May 23, 2014 2:23 pm

I am trying to generate a schema definition script from SQL Server 2012 and run the script on a 2008 version.

Help says there is an option:
http://documentation.red-gate.com/displ ... SQL+Server

Specifies:
"Choose the option to create an "upgrade to an existing database"

I cannot find this option...

:?:
Chillier
 
Posts: 8
Joined: Wed Mar 19, 2014 1:17 pm
Location: Norway

Postby Chris.Allen » Tue May 27, 2014 1:08 pm

Hi- this might be a bit of a doc bug. The packager option is actually labelled:

"Package an upgrade to a database"
Chris.Allen
 
Posts: 594
Joined: Thu Mar 12, 2009 4:17 pm

Errors on Sql Server 2008

Postby Chillier » Wed Jun 04, 2014 1:44 pm

Fixed it - a very strange error.

My views contained joins of local tables/views and linked-server tables/views.

The linked-server tables/views had to be LAST in the join sequences for the views to work on 2008.

Go figure...

But yes, the documentation was a bit misleading.
Chillier
 
Posts: 8
Joined: Wed Mar 19, 2014 1:17 pm
Location: Norway


Return to SQL Packager 7

Who is online

Users browsing this forum: No registered users and 0 guests